<html lang="en">
<head>
    <meta charset="UTF-8">
    <meta http-equiv="X-UA-Compatible" content="IE=edge">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <link rel="stylesheet" href="https://maxcdn.bootstrapcdn.com/bootstrap/3.4.1/css/bootstrap.min.css">
        <script src="https://ajax.googleapis.com/ajax/libs/jquery/3.5.1/jquery.min.js"></script>
        <script src="https://maxcdn.bootstrapcdn.com/bootstrap/3.4.1/js/bootstrap.min.js"></script>
    <title>Document</title>
</head>
<body>
    <div class="container">
        <h1 *ngIf="watchedStocks.length>0"> My Watch List</h1>
        <h1 *ngIf="watchedStocks.length==0">No company added in your watchlist</h1>
        <div class="row">
            <div class="col-sm-3" *ngFor="let stock of watchedStocks">
              <div class="card border-secondary">
                <div class="card-body">
                  <h3 class="card-title">{{stock.name}}</h3>
                  <p class="card-text">Lorem ipsum, dolor sit amet consectetur adipisicing elit. Accusamus animi, nulla odio amet quod quaerat magni molestias soluta facilis asperiores necessitatibus nobis ratione excepturi ut ex architecto libero rem aperiam!</p>
                  <h4>Today's price: <Span class="price"> $ {{stock.price}}</Span></h4>
                  <button type="button" class="btn btn-primary" (click)=remove(stock.name,stock.companyId)>Remove</button>
                </div>
              </div>
            </div>
        </div>
    </div>
</body>
</html>